dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function collision_trigger(colliding_entity_id)

	if(not EntityHasTag(colliding_entity_id, "player_unit")) then return end -- making sure entity that triggered this was an enemy	
		
	local projectile_entity = GetUpdatedEntityID()
	local x, y = EntityGetTransform(projectile_entity)
	
	SetRandomSeed( GameGetFrameNum(), x + y + colliding_entity_id )
	
	EntityInflictDamage( colliding_entity_id, Randomf(0.5,2.5), "DAMAGE_PROJECTILE", "Rotating shield damage", "BLOOD_SPRAY", 0, 0)

	EntityKill(projectile_entity)
	
end