dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function collision_trigger(colliding_entity_id)
	
	local shooter_id = getInternalVariableValue(entity_id, "shooter", "value_int")

	if(not EntityHasTag(colliding_entity_id, "mortal")) then return end -- making sure entity that triggered this was a mortal creature
	if(isCreatureBoss(colliding_entity_id)) then return end -- if colliding creature is a boss, skips everything below

	if(colliding_entity_id ~= shooter_id) then
		local x, y = EntityGetTransform(colliding_entity_id)
			
		EntityInflictDamage( colliding_entity_id, 0.02, "DAMAGE_ICE", "frozen", "NONE", 0, 0)	
		LoadGameEffectEntityTo( colliding_entity_id, "data/entities/misc/effect_frozen.xml" )
		GamePlaySound( "data/audio/Desktop/projectiles.snd", "player_projectiles/shield/block", x, y )
	end
end