dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function collision_trigger(colliding_entity_id)

	if(not EntityHasTag(colliding_entity_id, "projectile")) then return end -- making sure entity that triggered this was a projectile
	
	local x, y = EntityGetTransform(colliding_entity_id)
	
	if(entityHasSimplifiedInternalVariable(colliding_entity_id, "relic_effect_projectile")) then return end
	
	projectileToggleExplosionOnDeath(colliding_entity_id, false)
	EntityKill(colliding_entity_id)
	
	-- Loads audiovisual feedback
	GamePlaySound( "data/audio/Desktop/projectiles.snd", "player_projectiles/shield/block", x, y )
	--EntityLoad("mods/ArcaneReliquary/files/entity_definitions/others/magic_explosion.xml", x, y)
	EntityLoad("mods/ArcaneReliquary/files/entity_definitions/particle_explosions/projectile_destroy_explosion.xml", x, y)
	--EntityLoad("mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_plasma_fading_green.xml", x, y)

end