dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function collision_trigger(colliding_entity_id)
	
	local entity_id = GetUpdatedEntityID()
	if(getProjectileShooter(colliding_entity_id) == EntityGetParent(entity_id)) then return end -- ignores projectiles shot by the player or by companion itself
	
	local spat_material_name = getInternalVariableValue(entity_id, "spat_material_name", "value_string")	
	
	local x, y = EntityGetTransform(colliding_entity_id)
	
	-- Kills projectile that triggered this handler
	projectileToggleExplosionOnDeath(colliding_entity_id, false)
	EntityKill(colliding_entity_id)
	
	-- produces material splash
	SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
	local how_many = Random(15,25)
	local vel_variation = 200
	for i=1,how_many do
		GameCreateParticle( spat_material_name, x, y, 2, Random(-vel_variation, vel_variation), Random(-vel_variation, vel_variation), false, true)
	end
	-- audio
	GamePlaySound( "data/audio/Desktop/explosions.snd", "explosions/slime", x, y )

end