dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function collision_trigger(colliding_entity_id)

	if(not EntityHasTag(colliding_entity_id, "projectile")) then return end -- making sure entity that triggered this was a projectile
	
	local x, y = EntityGetTransform(colliding_entity_id)
	
	-- conditions to prevent friendly projectiles from being destroyed
	if(string.find(EntityGetName(colliding_entity_id), "rotating_shield_projectile")) then return end
	
	projectileToggleExplosionOnDeath(colliding_entity_id, false)
	EntityKill(colliding_entity_id)
	
	-- Loads audiovisual feedback
	GamePlaySound( "data/audio/Desktop/animals.snd", "animals/robot/damage/projectile", x, y )
	EntityLoad("mods/ArcaneReliquary/files/entity_definitions/particle_explosions/rotating_disc_bullet_explosion.xml", x, y)

end