dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function collision_trigger(colliding_entity_id)
	
	local owner_id = getInternalVariableValue(GetUpdatedEntityID(), "owner", "value_int")
	local target_tag = ""
	
	if(owner_id == getPlayerEntity()) then
		target_tag = "enemy"
	else
		target_tag = "player_unit"
	end
	
	if(not EntityHasTag(colliding_entity_id, target_tag)) then return end -- if a valid target wasn't found, skips it
		
	local projectile_entity = GetUpdatedEntityID()
	local x, y = EntityGetTransform(projectile_entity)
	
	SetRandomSeed( GameGetFrameNum(), x + y + colliding_entity_id )
	
	EntityInflictDamage( colliding_entity_id, Randomf(0.5,2.5), "DAMAGE_PROJECTILE", "Rotating shield damage", "BLOOD_SPRAY", 0, 0)

	EntityKill(projectile_entity)
	
end