dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/custom_effects_list.lua")

function collision_trigger(colliding_entity_id)

	if(not EntityHasTag(colliding_entity_id, "enemy")) then return end -- making sure entity that triggered this was a projectile
	if(isCreatureBoss(colliding_entity_id)) then return end -- if colliding creature is a boss, skips everything below
		
	-- deals slice damage
	local projectile_entity = GetUpdatedEntityID()
	local x, y = EntityGetTransform(projectile_entity)
	EntitySetTransform(colliding_entity_id, x, y)
	EntityInflictDamage( colliding_entity_id, 0.04, "DAMAGE_SLICE", "sliced", "NONE", 0, 0)	
	
	-- random chance of being transmuted to material
	SetRandomSeed( GameGetFrameNum() + colliding_entity_id, x + y + projectile_entity)
	local transmute_odds = Random(1,20)
	if(transmute_odds == 1) then
		LoadGameEffectEntityTo( colliding_entity_id, getCustomEffect("effect_convert_to_random_material").path )
	end
	
end