dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

if(entityHasSimplifiedInternalVariable(entity_id, "amnesia_medalion_effect")) then return end -- excludes creatures already under effect

if(not enemyRangedAttacksEnabled(entity_id)) then return end -- excludes creatures that are unable to shoot

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

addBuffVisualIndicator(entity_id, "spark_purple", "amnesia_medalion_effect")
addNewSimplifiedInternalVariable(entity_id, "amnesia_medalion_effect")
toggleEnemyRangedAttacks(entity_id, false)
addNewLuaCallback(entity_id, "overtime", "mods/ArcaneReliquary/files/scripts/enemies/reenable_ranged_attacks.lua", 350, true, "reenable_ranged_attacks")
