dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

if(isCreatureBoss(entity_id)) then return end -- if creature under effect is a boss, skips it

local x, y = EntityGetTransform(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local component = EntityGetFirstComponent(entity_id, "CharacterDataComponent")
local vel_x, vel_y = ComponentGetValueVector2(component, "mVelocity")

vel_x = Random(50, -50)
vel_y = Random( -700, -900)
ComponentSetValueVector2(component, "mVelocity", vel_x, vel_y)