dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id    = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )

if(entity_id == getPlayerEntity()) then return end -- this effect is designed to trigger only on enemy creatures

if(isCreatureBoss(entity_id)) then return end -- if creature under effect is a boss, skips it

if(not entityHasSimplifiedInternalVariable(entity_id, "relic_chest_buff")) then -- check to prevent buffed enemies from turning friendly
	if(not entityHasSimplifiedInternalVariable(entity_id, "friendly_enemy")) then
		makeCreatureFriendly(entity_id)
		addNewSimplifiedInternalVariable(entity_id, "friendly_enemy")
		
		-- if enemy is not capable of shooting, adds this ability
		if(not enemyRangedAttacksEnabled(entity_id)) then
			enemyApplyRangedAttackBuff(entity_id)
		end
	end
end

