dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/load_on_explosion_list.lua")

local entity_id    = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )

if(entity_id == getPlayerEntity()) then return end -- this effect is designed to trigger only on enemy creatures

if(isCreatureBoss(entity_id)) then return end -- if creature under effect is a boss, skips it

if(not entityHasSimplifiedInternalVariable(entity_id, "relic_chest_buff")) then -- check to prevent buffed enemies from turning friendly
	if(not entityHasSimplifiedInternalVariable(entity_id, "suicide_bomber")) then
		makeCreatureSuicideBomber(entity_id, getLoadOnExplosion("launch_elemental_particles_acid").path, "spark_green")
		addNewSimplifiedInternalVariable(entity_id, "suicide_bomber")
	end
end

