dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "improved_stomp_relics")) then return end -- effect is not applied if the player has the gravitation necklace effect

if(entity_id ~= getPlayerEntity() and enemyFlightEnabled(entity_id)) then return end -- excludes flying enemy creatures

if(entityHasSimplifiedInternalVariable(entity_id, "movement_speed_debuff")) then return end -- excludes creatures already under effect

addBuffVisualIndicator(entity_id, "acid", "movement_speed_debuff")
addNewSimplifiedInternalVariable(entity_id, "movement_speed_debuff")

local run_velocity, jump_velocity_y, jump_velocity_x = creatureApplyMovementDebuff(entity_id, 4)
addNewInternalVariable(entity_id, "original_run_velocity", "value_float", run_velocity)
addNewInternalVariable(entity_id, "original_jump_velocity_y", "value_float", jump_velocity_y)
addNewInternalVariable(entity_id, "original_jump_velocity_x", "value_float", jump_velocity_x)

addNewLuaCallback(entity_id, "overtime", "mods/ArcaneReliquary/files/scripts/enemies/recover_movement_speed.lua", 550, true, "recover_movement_speed")
