dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

if(not entityHasSimplifiedInternalVariable(entity_id, "emitting_radioactive_gas")) then
	entityAddMaterialEmitter(entity_id, "radioactive_gas", "emitting_radioactive_gas")
	addNewSimplifiedInternalVariable(entity_id, "emitting_radioactive_gas")
	addNewLuaCallback(entity_id, "overtime", "mods/ArcaneReliquary/files/scripts/enemies/remove_radioactive_gas_trail.lua", 350, true, "remove_radioactive_gas_trail")
end
