dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()

local projectile_definition = getInternalVariableValue(entity_id, "projectile_definition", "value_string")
local projectile_vel_min = getInternalVariableValue(entity_id, "vel_min", "value_int")
local projectile_vel_max = getInternalVariableValue(entity_id, "vel_max", "value_int")

entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local angle = math.rad(Random(0,359))

local projectile_velocity = Random(projectile_vel_min, projectile_vel_max)
local vel_x = math.cos( angle ) * projectile_velocity
local vel_y = 0 - math.sin( angle ) * projectile_velocity

shoot_projectile( entity_id, projectile_definition, x, y, vel_x, vel_y )
