dofile_once("data/scripts/lib/utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()

local projectile_definition = getInternalVariableValue(entity_id, "projectile_definition", "value_string")

local pos_x, pos_y = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

local angle = math.rad(Random(0,359))
local length = Random(500,800)

local vel_x = math.cos( angle ) * length
local vel_y = 0 - math.sin( angle ) * length

local projectile_id = shoot_projectile( entity_id, projectile_definition, pos_x, pos_y, vel_x, vel_y )
--setProjectileShooter(projectile_id, getPlayerEntity())

local damageThreshold = 0.02
EntityInflictDamage( entity_id, damageThreshold, "DAMAGE_PROJECTILE", "Spell damage", "NORMAL", 0, 0)
