collision_handlers_list = {
	{
		name	= "pull_melee_damage",
		path	= "mods/ArcaneReliquary/files/scripts/collision_handlers/pull_melee_damage.lua"
	},
	{
		name	= "drag_slice_damage",
		path	= "mods/ArcaneReliquary/files/scripts/collision_handlers/drag_slice_damage.lua"
	},
	{
		name	= "drag_melee_damage",
		path	= "mods/ArcaneReliquary/files/scripts/collision_handlers/drag_melee_damage.lua"
	},
	{
		name	= "destroy_enemy_projectiles",
		path	= "mods/ArcaneReliquary/files/scripts/collision_handlers/destroy_enemy_projectiles.lua"
	},
	{
		name	= "redirect_enemy_projectiles",
		path	= "mods/ArcaneReliquary/files/scripts/collision_handlers/redirect_enemy_projectiles.lua"
	},
	{
		name	= "convert_enemy_projectiles_to_materials",
		path	= "mods/ArcaneReliquary/files/scripts/collision_handlers/convert_enemy_projectiles_to_materials.lua"
	},
	{
		name	= "root_effect",
		path	= "mods/ArcaneReliquary/files/scripts/collision_handlers/root_effect.lua"
	},
	{
		name	= "eye_of_vigour_effect",
		path	= "mods/ArcaneReliquary/files/scripts/collision_handlers/eye_of_vigour_effect.lua"
	},	
	{
		name	= "relic_shuffle",
		path	= "mods/ArcaneReliquary/files/scripts/collision_handlers/relic_shuffle.lua"
	},
}

-- Obtains a collision handler from collision_handlers_list by its name
function getCollisionHandler(collisionHandlerName)
	local foundCollisionHandler = nil
	for i,collision_handler in ipairs(collision_handlers_list) do
		if(collision_handler.name == collisionHandlerName) then
			foundCollisionHandler = collision_handler
			break
		end
	end
	return foundCollisionHandler
end