interactive_machines_list = {
	{
		name="relic_forge.xml",
	},
	{
		name="relic_store.xml",
	},
	{
		name="relic_prize_machine.xml",
	},
	{
		name="relic_slot_machine.xml",
	},
	{
		name="relic_workbench.xml",
	},
	{
		name="relic_combine_station.xml",
	},
	{
		name="relic_recycle_station.xml",
	},
	{
		name="relic_breakdown_station.xml",
	},
	{
		name="relic_transmute_station.xml",
	},
}

-- Returns a random interactive machine
function getRandomInteractiveMachine()
	SetRandomSeed( GameGetFrameNum(), math.random(1,50))
	return interactive_machines_list[Random(1,#interactive_machines_list)]
end

-- Utility functions to return base dirs for commmon entities used in this script
function getInteractiveMachinesBaseDir()
	return "mods/ArcaneReliquary/files/entity_definitions/props/"
end