load_on_explosion_list = {
	{
		name	= "explosion_slash",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/explosion_slash.xml"
	},
	{
		name	= "explosion_melee",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/explosion_melee.xml"
	},
	{
		name	= "earthquake_level_1",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/earthquake_small.xml"
	},
	{
		name	= "earthquake_level_2",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/earthquake_medium.xml"
	},
	{
		name	= "earthquake_level_3",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/earthquake_big.xml"
	},
	{
		name	= "launch_elemental_particles_acid",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_acid.xml"
	},
	{
		name	= "launch_elemental_particles_fungi",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_fungi.xml"
	},
	{
		name	= "launch_elemental_particles_water",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_water.xml"
	},
	{
		name	= "launch_elemental_particles_fire",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_fire.xml"
	},
	{
		name	= "launch_elemental_particles_liquid_fire",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_liquid_fire.xml"
	},
	{
		name	= "launch_elemental_particles_poison",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_poison.xml"
	},
	{
		name	= "launch_elemental_particles_oil",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_oil.xml"
	},
	{
		name	= "launch_elemental_particles_berserkium",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_berserkium.xml"
	},
	{
		name	= "launch_elemental_particles_alcohol",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_alcohol.xml"
	},
	{
		name	= "launch_elemental_particles_urine",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_urine.xml"
	},
	{
		name	= "launch_elemental_particles_healthium",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_healthium.xml"
	},
	{
		name	= "launch_elemental_particles_ambrosia",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_ambrosia.xml"
	},
	{
		name	= "launch_elemental_particles_freezing_liquid",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_freezing_liquid.xml"
	},
	{
		name	= "launch_elemental_particles_radioactive_gas",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_radioactive_gas.xml"
	},
	{
		name	= "launch_elemental_particles_freezing_gas",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_freezing_gas.xml"
	},
	{
		name	= "launch_elemental_particles_lava",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_lava.xml"
	},
	{
		name	= "launch_elemental_particles_slime",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_slime.xml"
	},
	{
		name	= "launch_elemental_particles_concentrated_mana",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_concentrated_mana.xml"
	},
	{
		name	= "launch_elemental_particles_gunpowder",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_gunpowder.xml"
	},
	{
		name	= "launch_elemental_particles_poly",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_poly.xml"
	},
	{
		name	= "launch_elemental_particles_gold",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_gold.xml"
	},
	{
		name	= "launch_elemental_particles_teleportatium",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_teleportatium.xml"
	},
	{
		name	= "launch_elemental_particles_plasma_fading_pink",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_plasma_fading_pink.xml"
	},
	{
		name	= "launch_elemental_particles_plasma_fading_green",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_plasma_fading_green.xml"
	},
	{
		name	= "launch_random_projectiles",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_random_projectiles.xml"
	},
	{
		name	= "shockwave",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave.xml"
	},
	{
		name	= "shockwave_electric",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_electric.xml"
	},
	{
		name	= "shockwave_fire",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_fire.xml"
	},
	{
		name	= "shockwave_ice",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_ice.xml"
	},
	{
		name	= "shockwave_thunderbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_thunderbolts.xml"
	},
	{
		name	= "shockwave_nuclear",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_nuclear.xml"
	},
	{
		name	= "ice_explosion",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/ice_explosion.xml"
	},
	{
		name	= "launch_circular_projectiles_thunderbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_thunderbolts.xml"
	},
	{
		name	= "launch_circular_projectiles_thunderbolts_regular",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_thunderbolts_regular.xml"
	},
	{
		name	= "launch_circular_projectiles_invisible_shrapnel_acid",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_invisible_shrapnel_acid.xml"
	},
	{
		name	= "launch_circular_projectiles_invisible_shrapnel_water",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_invisible_shrapnel_water.xml"
	},
	{
		name	= "launch_circular_projectiles_invisible_shrapnel_lava",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_invisible_shrapnel_lava.xml"
	},
	{
		name	= "launch_circular_projectiles_invisible_shrapnel_poison",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_invisible_shrapnel_poison.xml"
	},
	{
		name	= "launch_circular_projectiles_invisible_shrapnel_poly",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_invisible_shrapnel_poly.xml"
	},
	{
		name	= "launch_circular_projectiles_invisible_shrapnel_urine",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_invisible_shrapnel_urine.xml"
	},
	{
		name	= "launch_circular_projectiles_invisible_shrapnel",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_invisible_shrapnel.xml"
	},
	{
		name	= "launch_circular_projectiles_slimebolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_slimebolts.xml"
	},
	{
		name	= "launch_circular_projectiles_bloodbombs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_bloodbombs.xml"
	},
	{
		name	= "launch_circular_projectiles_slapperbombs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_slapperbombs.xml"
	},
	{
		name	= "launch_circular_projectiles_magnetobombs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_magnetobombs.xml"
	},
	{
		name	= "launch_circular_projectiles_bomblayingbombs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_bomblayingbombs.xml"
	},
	{
		name	= "launch_circular_projectiles_bubbletrapbombs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_bubbletrapbombs.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs_radioactive",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs_radioactive.xml"
	},
	{
		name	= "launch_circular_projectiles_iceballs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_iceballs.xml"
	},
	{
		name	= "launch_circular_projectiles_thunderballs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_thunderballs.xml"
	},
	{
		name	= "launch_circular_projectiles_thunderballs_red",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_thunderballs_red.xml"
	},
	{
		name	= "launch_circular_projectiles_magic_orbs_acid",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_magic_orbs_acid.xml"
	},
	{
		name	= "launch_circular_projectiles_magic_orbs_lava",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_magic_orbs_lava.xml"
	},
	{
		name	= "launch_circular_projectiles_magic_orbs_poison",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_magic_orbs_poison.xml"
	},
	{
		name	= "launch_circular_projectiles_magic_orbs_water",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_magic_orbs_water.xml"
	},
	{
		name	= "launch_circular_projectiles_magic_orbs_urine",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_magic_orbs_urine.xml"
	},
	{
		name	= "launch_circular_projectiles_magic_orbs_corrosive_blood",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_magic_orbs_corrosive_blood.xml"
	},
	{
		name	= "launch_elemental_particles_radioactive_liquid",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_radioactive_liquid.xml"
	},
	{
		name	= "launch_elemental_particles_corrosive_blood",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_corrosive_blood.xml"
	},
	{
		name	= "launch_elemental_particles_blood",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_blood.xml"
	},
	{
		name	= "launch_elemental_particles_invisiblium",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_invisiblium.xml"
	},
	{
		name	= "launch_elemental_particles_pheromone",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_pheromone.xml"
	},
	{
		name	= "blackhole_custom",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/blackhole_custom.xml"
	},
	{
		name	= "launch_circular_projectiles_lasers_slash",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_lasers_slash.xml"
	},
	{
		name	= "launch_circular_projectiles_lavabolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_lavabolts.xml"
	},
	{
		name	= "launch_circular_projectiles_acidbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_acidbolts.xml"
	},
	{
		name	= "launch_circular_projectiles_polybolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_polybolts.xml"
	},
	{
		name	= "launch_circular_projectiles_urinebolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_urinebolts.xml"
	},
	{
		name	= "launch_circular_projectiles_corrosivebloodbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_corrosivebloodbolts.xml"
	},
	{
		name	= "launch_circular_projectiles_lasers",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_lasers.xml"
	},
	{
		name	= "launch_circular_projectiles_lasers_yellow",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_lasers_yellow.xml"
	},
	{
		name	= "launch_circular_projectiles_lasers_orange",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_lasers_orange.xml"
	},
	{
		name	= "launch_circular_projectiles_lasers_blue",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_lasers_blue.xml"
	},
	{
		name	= "launch_circular_projectiles_lasers_teal",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_lasers_teal.xml"
	},
	{
		name	= "launch_circular_projectiles_lasers_green",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_lasers_green.xml"
	},
	{
		name	= "launch_circular_projectiles_lasers_purple",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_lasers_purple.xml"
	},
	{
		name	= "launch_circular_projectiles_poisonbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_poisonbolts.xml"
	},
	{
		name	= "shockwave_earth",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_earth.xml"
	},
	{
		name	= "shockwave_iron",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_iron.xml"
	},
	{
		name	= "shockwave_crystal",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_crystal.xml"
	},
	{
		name	= "shockwave_firebombs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_firebombs.xml"
	},
	{
		name	= "shockwave_lasers",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_lasers.xml"
	},
	{
		name	= "shockwave_slimebolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_slimebolts.xml"
	},
	{
		name	= "shockwave_acidbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_acidbolts.xml"
	},
	{
		name	= "shockwave_lavabolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_lavabolts.xml"
	},
	{
		name	= "shockwave_poisonbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_poisonbolts.xml"
	},
	{
		name	= "shockwave_polybolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_polybolts.xml"
	},
	{
		name	= "shockwave_urinebolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_urinebolts.xml"
	},
	{
		name	= "shockwave_corrosivebloodbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_corrosivebloodbolts.xml"
	},
	{
		name	= "shockwave_waterbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_waterbolts.xml"
	},
	{
		name	= "shockwave_frozenbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_frozenbolts.xml"
	},
	{
		name	= "shockwave_fireballs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_fireballs.xml"
	},
	{
		name	= "shockwave_fireballsradioactive",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_fireballsradioactive.xml"
	},
	{
		name	= "launch_circular_projectiles_waterbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_waterbolts.xml"
	},
	{
		name	= "launch_circular_projectiles_frozenbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_frozenbolts.xml"
	},
	{
		name	= "launch_circular_projectiles_alcoholbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_alcoholbolts.xml"
	},
	{
		name	= "shockwave_alcoholbolts",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/shockwave_alcoholbolts.xml"
	},
	{
		name	= "launch_circular_projectiles_explodebombs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_explodebombs.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs_fallout",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs_fallout.xml"
	},
	{
		name	= "launch_circular_projectiles_freezesolidbombs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_freezesolidbombs.xml"
	},
	{
		name	= "launch_elemental_particles_silver",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_silver.xml"
	},
	{
		name	= "launch_elemental_particles_diamond",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_diamond.xml"
	},
	{
		name	= "launch_circular_projectiles_wand_spells",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_wand_spells.xml"
	},
	{
		name	= "launch_circular_projectiles_wand_spells_empty_slots",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_wand_spells_empty_slots.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs_blood",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs_blood.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs_water",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs_water.xml"
	},
	{
		name	= "launch_circular_projectiles_explosiveorbs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_explosiveorbs.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs_acid",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs_acid.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs_poison",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs_poison.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs_gunpowder",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs_gunpowder.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs_poly",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs_poly.xml"
	},
	{
		name	= "launch_circular_projectiles_fireballs_urine",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_fireballs_urine.xml"
	},
	{
		name	= "launch_circular_projectiles_materialspitbombs",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_circular_projectiles_materialspitbombs.xml"
	},
	{
		name	= "launch_elemental_particles_antipoly",
		path	= "mods/ArcaneReliquary/files/entity_definitions/load_on_explosion/launch_elemental_particles_antipoly.xml"
	},
}

-- Obtains a custom effect from load_on_explosion_list by its name
function getLoadOnExplosion(loadOnExplosionEntityName)
	local foundLoadOnExplosionEntity = nil
	for i,load_on_explosion in ipairs(load_on_explosion_list) do
		if(load_on_explosion.name == loadOnExplosionEntityName) then
			foundLoadOnExplosionEntity = load_on_explosion
			break
		end
	end
	return foundLoadOnExplosionEntity
end