dofile_once("mods/ArcaneReliquary/files/scripts/lists/relics_list.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/custom_effects_list.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

for i,relic in ipairs(relics_list) do 
	if(relic.overtime_function ~= nil) then
		relic.overtime_function()
	end
	
	-- additional check for companion relics that require another relic
	if(string.find(relic.categories, "companions")) then
		if(isRelicOwned(relic.name) > 0) then
			if(relic.requires_relic ~= nil) then
				if(isRelicOwned(relic.requires_relic) == 0) then
					relic.ondrop_function()
				else
					relic.onpickup_function()
				end
			end
		end
	end
end