dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()

-- local rotating_orbs_entity_name = getInternalVariableValue(entity_id, "rotating_orbs_entity_name", "value_string")

local enemy_children = EntityGetAllChildren(entity_id)

local orbs_count = 0

if enemy_children ~= nil then
	for i,enemy_child in ipairs(enemy_children) do
		if(string.find(EntityGetName(enemy_child), "enemy_rotating_shield_projectile")) then
			orbs_count = orbs_count + 1
		end
	end
end

if(orbs_count == 0) then
	GamePrint("### orbs count reached zero, refreshing")
	addNewLuaCallback(entity_id, "overtime", "mods/ArcaneReliquary/files/scripts/projectiles/enemy_rotating_shield_start.lua", 10, true, "enemy_rotating_shield_start")
end