dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()

local hand_entity_name = getInternalVariableValue(entity_id, "hand_entity_name", "value_string")
local hand_fx_entity_name = getInternalVariableValue(entity_id, "hand_fx_entity_name", "value_string")

local enemy_children = EntityGetAllChildren(entity_id)

local hand_count = 0

if enemy_children ~= nil then
	for i,enemy_child in ipairs(enemy_children) do
		if(EntityGetName(enemy_child) == hand_entity_name) then
			hand_count = hand_count + 1
		end
	end
end

if(hand_count == 0) then
	attachMonkHandstoEntity(entity_id, hand_entity_name, hand_fx_entity_name, "player_unit")
end