dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local rotating_projectile_definition = getInternalVariableValue(entity_id, "rotating_projectile_definition", "value_string")
local rotating_projectile_name = getInternalVariableValue(entity_id, "rotating_projectile_name", "value_string")
if(not entityHasRotatingShield(entity_id, rotating_projectile_name)) then -- this makes sure the orbiting projectiles are loaded again if creature is polymorphed
	local start_id = EntityLoad("mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/rotating_shield_start.xml")
	setInternalVariableValue(start_id, "rotating_projectile_definition", "value_string", rotating_projectile_definition)
	setInternalVariableValue(start_id, "host_entity_id", "value_int", entity_id)
	setInternalVariableValue(start_id, "rotating_projectiles_amount", "value_int", Random(1,6))
	setInternalVariableValue(start_id, "radius", "value_int", 20)
	setInternalVariableValue(start_id, "rotation_speed", "value_int", Random(5,10))
end