dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/custom_effects_list.lua")

-- a projectile shot listener that buffs projectiles created by buffed enemies
-- refer to mods\ArcaneReliquary\files\scripts\other_listeners\enemy_apply_random_buffs.lua for all buff types
function shot( projectile_entity_id )
	if(entityHasSimplifiedInternalVariable(getProjectileShooter(projectile_entity_id), "relic_chest_buff")) then
		addBuffVisualIndicator_Projectile(projectile_entity_id, "spark_white")
		addNewInternalVariable(projectile_entity_id, "projectile_definition", "value_string", "mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/rocket_tank_custom.xml")
		addNewInternalVariable(projectile_entity_id, "detection_range", "value_int", 100)
		addNewInternalVariable(projectile_entity_id, "projectile_velocity", "value_int", 350)
		addNewInternalVariable(projectile_entity_id, "target_tag", "value_string", "player_unit")
		addNewInternalVariable(projectile_entity_id, "max_projectiles_shot", "value_int", 5)
		addNewLuaCallback(projectile_entity_id, "overtime", "mods/ArcaneReliquary/files/scripts/projectiles/target_and_shoot_projectile.lua", 10, false, "target_and_shoot_projectile")
	end	
end