dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/load_on_explosion_list.lua")

-- a projectile shot listener that buffs projectiles created by buffed enemies
-- refer to mods\ArcaneReliquary\files\scripts\other_listeners\enemy_apply_random_buffs.lua for all buff types
function shot( projectile_entity_id )
	if(entityHasSimplifiedInternalVariable(getProjectileShooter(projectile_entity_id), "relic_chest_buff")) then
		SetRandomSeed( GameGetFrameNum(), projectile_entity_id )
		attachLoadEntityOnExplosiontoProjectile(projectile_entity_id, getLoadOnExplosion("explosion_slash").path)
		addProjectileDamageByType(projectile_entity_id, "slice", 0.5 * Random(1,3))
	end	
end