dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/custom_effects_list.lua")

-- a projectile shot listener that buffs projectiles created by buffed enemies
-- refer to mods\ArcaneReliquary\files\scripts\other_listeners\enemy_apply_random_buffs.lua for all buff types
function shot( projectile_entity_id )
	if(not isPhysicsProjectile(projectile_entity_id)) then
		if(entityHasSimplifiedInternalVariable(getProjectileShooter(projectile_entity_id), "relic_chest_buff")) then
			addNewLuaCallback(projectile_entity_id, "overtime", "mods/ArcaneReliquary/files/scripts/enemies/enemy_projectile_track_and_shoot.lua", 10, true, "enemy_projectile_track_and_shoot")
		end
	end
end