dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function kick( entity_who_kicked )
	
	local entity_id = GetUpdatedEntityID()
	local x, y = EntityGetTransform(entity_id)
	local chest_name = EntityGetName(entity_id)
	
	if(not entityHasSimplifiedInternalVariable(getPlayerEntity(), "chest_upgrade_on_kick")) then return end
	
	if(entityHasSimplifiedInternalVariable(entity_id, "upgraded_chest")) then return end
	
	-- regular chests
	if(chest_name == "relic_chest") then
		EntityKill(entity_id)
		local new_chest_id = EntityLoad("mods/ArcaneReliquary/files/entity_definitions/props/relic_chest_great.xml", x, y)
		EntityLoad("mods/ArcaneReliquary/files/entity_definitions/others/chest_upgrade_effect.xml", x, y)
		addNewSimplifiedInternalVariable(new_chest_id, "upgraded_chest")
	elseif(chest_name == "relic_chest_great") then
		EntityKill(entity_id)
		local new_chest_id = EntityLoad("mods/ArcaneReliquary/files/entity_definitions/props/relic_chest_chaotic.xml", x, y)
		EntityLoad("mods/ArcaneReliquary/files/entity_definitions/others/chest_upgrade_effect.xml", x, y)
		addNewSimplifiedInternalVariable(new_chest_id, "upgraded_chest")
	end
	
	-- locked chests
	if(chest_name == "relic_chest_red") then
		EntityKill(entity_id)
		local new_chest_id = EntityLoad("mods/ArcaneReliquary/files/entity_definitions/props/relic_chest_purple.xml", x, y)
		EntityLoad("mods/ArcaneReliquary/files/entity_definitions/others/chest_upgrade_effect.xml", x, y)
		addNewSimplifiedInternalVariable(new_chest_id, "upgraded_chest")
	elseif(chest_name == "relic_chest_purple") then
		EntityKill(entity_id)
		local new_chest_id = EntityLoad("mods/ArcaneReliquary/files/entity_definitions/props/relic_chest_black.xml", x, y)
		EntityLoad("mods/ArcaneReliquary/files/entity_definitions/others/chest_upgrade_effect.xml", x, y)
		addNewSimplifiedInternalVariable(new_chest_id, "upgraded_chest")
	end
end