dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/utility_items_list.lua")

function item_pickup( entity_item, entity_who_picked, item_name )
	
	-- check to prevent Nemesis enemy from New Enemies Mod from openning chests
	if(not entityHasInternalVariableValue(entity_who_picked, "arcane_reliquary_item_interact_flag")) then return end

	local x, y = EntityGetTransform( entity_item )
	local chest_name = EntityGetName(entity_item)
	SetRandomSeed( GameGetFrameNum(), x + y + entity_item )
	
	-- gives user feedback
	local message = "You openned an Utility Items Chest"
	GamePrint(message)
	GamePrintImportant(message, "Random utility items dropped", "mods/ArcaneReliquary/files/other_gfx/custom_decoration_chest_utility_items.png")
	EntityLoad("mods/ArcaneReliquary/files/entity_definitions/image_emitters/utility_items_chest_effect.xml", x, y)
	EntityKill(entity_item)
	
	local amount = Random(1,3)
	for i=1,amount do
		EntityLoad(getUtilityItemsBaseDir() .. getRandomUtilityItem().name, x, y)
	end
end