dofile_once("data/scripts/lib/utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function item_pickup( entity_item, entity_who_picked, item_name )
	

	
	local pos_x, pos_y = EntityGetTransform( entity_item )
	
	SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_item )
	
	local nugget_name = EntityGetName(entity_item)
	if(getCurrentlyEquippedWandId() ~= -1) then -- only applies effect to held items that are valid wands
		if(nugget_name == "wandimprovenugget_mana") then
			wandAddManaMax(getCurrentlyEquippedWandId(), 5)			
		elseif(nugget_name == "wandimprovenugget_reloadtime") then
			wandAddReloadTime(getCurrentlyEquippedWandId(), -5)
		elseif(nugget_name == "wandimprovenugget_castdelay") then
			wandAddCastDelay(getCurrentlyEquippedWandId(), -5)
		end
	end
	
	GamePlaySound( "data/audio/Desktop/event_cues.snd", "event_cues/spell_refresh/create", pos_x, pos_y )
	shoot_projectile( entity_item, "mods/ArcaneReliquary/files/entity_definitions/others/healingnugget_pickup.xml", pos_x, pos_y, 0, 0 )
	EntityKill(entity_item)
end