dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local effect_to_apply = getInternalVariableValue(entity_id, "effect_to_apply", "value_string")
local detection_radius = getInternalVariableValue(entity_id, "detection_radius", "value_int")

local mortals = EntityGetInRadiusWithTag( x, y, detection_radius, "mortal" )
for i, mortal_id in ipairs(mortals) do
	if(mortal_id ~= getPlayerEntity()) then -- considers only creatures other than the player character
		LoadGameEffectEntityTo( mortal_id, effect_to_apply )
	end
end
