dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local path_to_explosion_entity = getInternalVariableValue(entity_id, "path_to_explosion_entity", "value_string")
local explosion_audio_event_name = getInternalVariableValue(entity_id, "explosion_audio_event_name", "value_string")

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

local pos_variation = 25

pos_x = pos_x + Random(-pos_variation, pos_variation)
pos_y = pos_y + Random(-pos_variation, pos_variation)

GamePlaySound( "data/audio/Desktop/explosions.snd", explosion_audio_event_name, pos_x, pos_y )
EntityLoad(path_to_explosion_entity, pos_x, pos_y)