dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local vertical_movement = getPlayerVerticalMovement()

if(vertical_movement == "down") then
	local creatures_on_player_feet = EntityGetInRadiusWithTag(x, y + 10, 5, "enemy") -- position which is close to the player's feet
	
	for i, creature_id in ipairs(creatures_on_player_feet) do
		
		SetRandomSeed( GameGetFrameNum(), math.random(1,50))
		-- Deals damage to creatures found
		local damageThreshold = 0.04
		
		EntityInflictDamage( creature_id, damageThreshold, "DAMAGE_MELEE", "stomped", "NORMAL", 0, 0)
		
		-- Shoots player up
		local vel_x, vel_y = getPlayerVelocities()
		setPlayerVelocities(vel_x, (vel_y * 2) * -1)
		
		addNewLuaCallback(getPlayerEntity(), "overtime", "mods/ArcaneReliquary/files/scripts/player/shoot_foot_thunderbolt.lua", 2, false, "shoot_foot_thunderbolt")
		addNewLuaCallback(getPlayerEntity(), "overtime", "mods/ArcaneReliquary/files/scripts/player/remove_shoot_foot_thunderbolt.lua", 20, true, "remove_shoot_foot_thunderbolt")
	end
end