dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local cc_id = EntityGetFirstComponent(entity_id, "ControlsComponent")
local kick_triggered = ComponentGetValueInt( cc_id, "mButtonFrameKick" ) == GameGetFrameNum()

local projectile_pool = {}
if(entityHasSimplifiedInternalVariable(entity_id, "wrench")) then table.insert(projectile_pool, "bladewheel.xml") end
if(entityHasSimplifiedInternalVariable(entity_id, "wrench_pink")) then table.insert(projectile_pool, "bladewheel_enchanted.xml") end
if(entityHasSimplifiedInternalVariable(entity_id, "wrench_cyan")) then table.insert(projectile_pool, "bladewheel_frozen.xml") end
if(entityHasSimplifiedInternalVariable(entity_id, "wrench_red")) then table.insert(projectile_pool, "bladewheel_bleed.xml") end
if(entityHasSimplifiedInternalVariable(entity_id, "wrench_white")) then table.insert(projectile_pool, "bladewheel_slash.xml") end
if(entityHasSimplifiedInternalVariable(entity_id, "wrench_green")) then table.insert(projectile_pool, "bladewheel_slap.xml") end
if(entityHasSimplifiedInternalVariable(entity_id, "wrench_orange")) then table.insert(projectile_pool, "bladewheel_explode.xml") end
if(entityHasSimplifiedInternalVariable(entity_id, "wrench_blue")) then table.insert(projectile_pool, "bladewheel_electric.xml") end


if(isPlayerStanding() and kick_triggered and getFlyEnergy() > 2) then
	SetRandomSeed( GameGetFrameNum(), math.random(1,50))
	local projectile_id = EntityLoad("mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/" .. projectile_pool[Random(1,#projectile_pool)], x, y)
	setProjectileShooter(projectile_id, entity_id)
	addFlyEnergy(-2)
end