dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local movement_direction = getPlayerHorizontalMovement()

if(movement_direction ~= "") then
	SetRandomSeed( GameGetFrameNum(), math.random(1,50))
	local x_offset = 0
	local projectile_vel_x = 0
	if(movement_direction == "left") then
		x_offset = 5
		projectile_vel_x = 140
	elseif(movement_direction == "right") then
		x_offset = -5
		projectile_vel_x = -140
	end
	
	if(Random(1,4) == 1) then
		local freezebomb_id = EntityLoad("mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/freezebomb.xml", x + x_offset, y)
		EntityAddTag( freezebomb_id, "relic_effect_projectile")
		setProjectileShooter(freezebomb_id, getPlayerEntity())
		setProjectileVelocitiesandGravity(freezebomb_id, projectile_vel_x, Random(-30, 30))
	end
end