dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local max_nuggets_dropped = getInternalVariableValue(entity_id, "max_nuggets_dropped", "value_int")

-- if maximum projectiles shot reaches zero, callback is removed
if(max_nuggets_dropped <= 0) then
	removeCallback(entity_id, "drop_gold_nugget")
	return
end

local projectile_vel_x, projectile_vel_y = getProjectileVelocitiesandGravity(entity_id)

local spawn_offset = 0

if(projectile_vel_y < 0) then
	spawn_offset = -8
else
	spawn_offset = 8
end

EntityLoad("data/entities/items/pickup/goldnugget_10.xml", x, y + spawn_offset)

-- decreases from maximum nuggers dropped
setInternalVariableValue(entity_id, "max_nuggets_dropped", "value_int", max_nuggets_dropped - 1)



