dofile_once( "data/scripts/lib/utilities.lua" )
dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()

local angle = getInternalVariableValue(entity_id, "angle", "value_float")
local rotation = getInternalVariableValue(entity_id, "rot", "value_int")
local owner_id = getInternalVariableValue(entity_id, "owner", "value_int")
setProjectileShooter(entity_id, owner_id)
local length = getInternalVariableValue(entity_id, "length", "value_int")

local clockwise_rotation = getInternalVariableValue(entity_id, "clockwise_rotation", "value_bool")

-- specific treatment for the sawblade rotating projetile
if(EntityGetName(entity_id) == "rotating_shield_projectile_disk_bullet") then
	local sawblade_target_tag = ""
	if(owner_id == getPlayerEntity()) then
		sawblade_target_tag = "enemy"
	else
		sawblade_target_tag = "player_unit"
	end
	
	local adc_id = EntityGetFirstComponentIncludingDisabled(enemy_id, "AreaDamageComponent")
	ComponentSetValue2( adc_id, "entities_with_tag", sawblade_target_tag)
end

if(clockwise_rotation ~= nil and clockwise_rotation) then
	angle = angle + rotation * -0.02
else
	angle = angle + rotation * 0.02
end

setInternalVariableValue(entity_id, "angle", "value_float", angle)

angle = angle + rotation

if ( owner_id ~= NULL_ENTITY ) then
	local x, y = EntityGetTransform( owner_id )
	
	if ( x ~= nil ) and ( y ~= nil ) then
		local px = x + math.cos( angle ) * length
		local py = y - math.sin( angle ) * length
		
		EntitySetTransform( entity_id, px, py)
	else
		EntityKill( entity_id )
	end
end