dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id)

local vel_var_x = 0
local vel_var_y = 0
local min_rand = 50
local max_rand = 800

if(Random(1,2) == 1) then
	vel_var_x = Random(min_rand, max_rand) * -1
else
	vel_var_x = Random(min_rand, max_rand)
end

if(Random(1,2) == 1) then
	vel_var_y = Random(min_rand, max_rand) * -1
else
	vel_var_y = Random(min_rand, max_rand)
end

local projectile_vel_x, projectile_vel_y = getProjectileVelocitiesandGravity(entity_id)
setProjectileVelocitiesandGravity(entity_id, projectile_vel_x + vel_var_x, projectile_vel_y + vel_var_y)

if(Random(1,5) == 1) then
	local projectile_id = EntityLoad(getProjectileDefinitionPath(entity_id), x, y)
	addNewSimplifiedInternalVariable(projectile_id, "relic_effect_projectile")
	setProjectileVelocitiesandGravity(projectile_id, projectile_vel_x + vel_var_x, projectile_vel_y + vel_var_y)
	setProjectileShooter(projectile_id, getPlayerEntity())
end