dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function collision_trigger(colliding_entity_id)

	if(not EntityHasTag(colliding_entity_id, "projectile")) then return end -- making sure entity that triggered this was a projectile
	
	local x, y = EntityGetTransform(colliding_entity_id)
	
	-- only projectiles shot by the player are destroyed, other rotating shield projectiles are also ignored
	if(string.find(EntityGetName(colliding_entity_id), "rotating_shield_projectile")) then return end
	if( getProjectileShooter(colliding_entity_id) ~= getPlayerEntity()) then return end
	
	projectileToggleExplosionOnDeath(colliding_entity_id, false)
	EntityKill(colliding_entity_id)
	
	-- Loads audiovisual feedback
	GamePlaySound( "data/audio/Desktop/projectiles.snd", "player_projectiles/shield/block", x, y )
	--EntityLoad("mods/ArcaneReliquary/files/entity_definitions/others/magic_explosion_red.xml", x, y)
	EntityLoad("mods/ArcaneReliquary/files/entity_definitions/particle_explosions/rotating_projectile_destroy_explosion.xml", x, y)

end