dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function collision_trigger(colliding_entity_id)
	if EntityHasTag(colliding_entity_id, "enemy") then
		
		if(isCreatureBoss(colliding_entity_id)) then return end -- if colliding creature is a boss, skips everything below
		
		local projectile_entity = GetUpdatedEntityID()
		if(not EntityHasTag(projectile_entity, "pull_melee_damage")) then
			invertProjectileVelocities(projectile_entity)
			EntityAddTag(projectile_entity, "pull_melee_damage")
		end
		local x, y = EntityGetTransform(projectile_entity)
		EntitySetTransform(colliding_entity_id, x, y)
		
		-- Deals damage to creatures found
		local damageThreshold = getInternalVariableValue(getPlayerEntity(), "scorpions_sting_damage", "value_float")
		
		EntityInflictDamage( colliding_entity_id, damageThreshold, "DAMAGE_MELEE", "hit", "NONE", 0, 0)
	end	
end