dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function collision_trigger(colliding_entity_id)

	if(not EntityHasTag(colliding_entity_id, "enemy")) then return end -- making sure entity that triggered this was a projectile
	if(isCreatureBoss(colliding_entity_id)) then return end -- if colliding creature is a boss, skips everything below
		
		
	local projectile_entity = GetUpdatedEntityID()
	local x, y = EntityGetTransform(projectile_entity)
	EntitySetTransform(colliding_entity_id, x, y)
	EntityInflictDamage( colliding_entity_id, 0.02, "DAMAGE_SLICE", "sliced", "NONE", 0, 0)	
	
end