dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local players_in_range = EntityGetInRadiusWithTag(x, y, 10, "player_unit")

local cc_id = EntityGetFirstComponent(getPlayerEntity(), "ControlsComponent")
local interact_triggered = ComponentGetValueInt( cc_id, "mButtonFrameInteract" ) == GameGetFrameNum()

local player_is_riding = getInternalVariableValue(entity_id, "player_is_riding", "value_bool")

-- turns riding on
if(#players_in_range > 0 and interact_triggered and (not player_is_riding)) then
	setInternalVariableValue(entity_id, "player_is_riding", "value_bool", true)
end
-- turns riding off
if(#players_in_range > 0 and interact_triggered and player_is_riding) then
	setInternalVariableValue(entity_id, "player_is_riding", "value_bool", false)
end

-- activates riding if it was triggered
if(player_is_riding) then
	EntitySetTransform(getPlayerEntity(), x + 5, y)
end
