dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local enemy_detection_radius = getInternalVariableValue(entity_id, "enemy_detection_radius", "value_int")
local detection_tag = getInternalVariableValue(entity_id, "detection_tag", "value_string")

-- checks whether there are creatures with detection_tag nearby, based on enemy_detection_radius
local creatures_in_range = EntityGetInRadiusWithTag(x, y, enemy_detection_radius, detection_tag)

if(next(creatures_in_range) ~= nil) then
	-- kills minion to trigger its explosion config
	EntityKill(entity_id)
end