dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/relic_precursor_materials_list.lua")

local entity_id    = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

if(isCreatureBoss(entity_id)) then return end -- if creature under effect is a boss, skips it


local x, y = EntityGetTransform(entity_id)

-- pick random projectile from actions table
local action = getRandomProjectileAction()
local projectile_definition = action.related_projectiles[1]

-- kills entity under effect
EntityKill(entity_id)

EntityLoad(projectile_definition, x, y)

-- this emulates the item drop mechanic by dropping gold and items after the artificial kill
doArtificialDeathLogic(entity_id, 1, false, getRelicPrecursorMaterialsList(), getPrecursorItemsBaseDir())


