dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id    = GetUpdatedEntityID()
local explosion_material_name = getInternalVariableValue(entity_id, "explosion_material_name", "value_string")

entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

--if(isCreatureBoss(entity_id)) then return end -- if creature under effect is a boss, skips it

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local rand_x = Random(10, -10)
local rand_y = Random(10, -10)

EntityLoad("mods/ArcaneReliquary/files/entity_definitions/others/material_explosion.xml", x + rand_x, y + rand_y)

local how_many = Random(25,35)
local vel_variation = 200
for i=1,how_many do
	GameCreateParticle( explosion_material_name, x + rand_x, y + rand_y, 2, Random(-vel_variation, vel_variation), Random(-vel_variation, vel_variation), false, true)
end