dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/custom_effects_list.lua")

local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )

if(entity_id == getPlayerEntity()) then return end -- this effect was designed to be applied only on enemies, so if player, skips it

if(isCreatureBoss(entity_id)) then return end -- if creature under effect is a boss, skips it

LoadGameEffectEntityTo( entity_id, getCustomEffect("effect_bonk_harmful").path )

local x, y = EntityGetTransform(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local component = EntityGetFirstComponent(entity_id, "CharacterDataComponent")
local vel_x, vel_y = ComponentGetValueVector2(component, "mVelocity")

vel_x = Random(50, -50)
vel_y = Random( -900, -1100)
ComponentSetValueVector2(component, "mVelocity", vel_x, vel_y)