dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/relic_precursor_materials_list.lua")

local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

if(isCreatureBoss(entity_id)) then return end -- if creature under effect is a boss, skips it

EntityConvertToMaterial( entity_id, "ice_glass_b2" )
killEntitywithCustomMessage(entity_id, "Freeze solid effect")
-- this emulates the item drop mechanic by dropping gold and items after the artificial kill
doArtificialDeathLogic(entity_id, 1, false, getRelicPrecursorMaterialsList(), getPrecursorItemsBaseDir())
EntityLoad("mods/ArcaneReliquary/files/entity_definitions/particle_explosions/freeze_solid_explosion.xml", x, y)

-- if(not string.find(EntityGetName(entity_id), "zombie")) then -- zombies are not correctly converted into the material, creating a block instead, so if necessary, this check can be used to exclude this creature from the effect

