dofile_once("data/scripts/lib/utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id    = GetUpdatedEntityID()

local pool_of_projectiles = {
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/electrobomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/firebomb_custom.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/freezebomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/bloodbomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/slapperbomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/polybomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/windbomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/slashbomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/explodebomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/magnetobomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/bomblayingbomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/midasbomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/teleportbomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/bubbletrapbomb.xml",
	"mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/materialspitbomb.xml",
}

local projectile_velocity = 140

entity_id = EntityGetRootEntity( entity_id )
local x, y, rot = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

if(Random(1,3) == 1) then
	local angle = math.rad(Random(0,359))

	local vel_x = math.cos( angle ) * projectile_velocity
	local vel_y = 0 - math.sin( angle ) * projectile_velocity

	local projectile_id = shoot_projectile( entity_id, pool_of_projectiles[Random(1,#pool_of_projectiles)], x, y, vel_x, vel_y )
	addNewSimplifiedInternalVariable(projectile_id, "relic_effect_projectile")
end