dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

if(entityHasSimplifiedInternalVariable(entity_id, "gravitation_ring_effect")) then return end -- excludes creatures already under effect

if(not enemyFlightEnabled(entity_id)) then return end -- excludes creatures that are unable to fly

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

addBuffVisualIndicator(entity_id, "spark_white", "gravitation_ring_effect")
addNewSimplifiedInternalVariable(entity_id, "gravitation_ring_effect")
toggleEnemyFlight(entity_id, false)
addNewLuaCallback(entity_id, "overtime", "mods/ArcaneReliquary/files/scripts/enemies/reenable_flight.lua", 350, true, "reenable_flight")