dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

if(not entityHasSimplifiedInternalVariable(entity_id, "emitting_poison")) then
	entityAddMaterialEmitter(entity_id, "poison", "emitting_poison")
	addNewSimplifiedInternalVariable(entity_id, "emitting_poison")
	addNewLuaCallback(entity_id, "overtime", "mods/ArcaneReliquary/files/scripts/enemies/remove_poison_trail.lua", 350, true, "remove_poison_trail")
end
