dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local projectile_definition = getInternalVariableValue(entity_id, "projectile_definition", "value_string")

SetRandomSeed( GameGetFrameNum(), math.random(1,50))

entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)
local amount = Random(4,6)
for i=1,amount do
	local projectile_id = EntityLoad(projectile_definition, x, y - Random(10,12))
	setProjectileVelocitiesandGravity(projectile_id, Random(-300,300), Random(-150,-250))
	setProjectileShooter(projectile_id, entity_id)
end
