dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local projectile_definition = getInternalVariableValue(entity_id, "projectile_definition", "value_string")
local horizontal_vel = getInternalVariableValue(entity_id, "horizontal_vel", "value_int")

entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

local projectile_right_id = EntityLoad(projectile_definition, x + 10, y - 5)
setProjectileVelocitiesandGravity(projectile_right_id, horizontal_vel, 0)
setProjectileShooter(projectile_right_id, entity_id)
local projectile_left_id = EntityLoad(projectile_definition, x - 10, y - 5)
setProjectileVelocitiesandGravity(projectile_left_id, horizontal_vel * -1, 0)
setProjectileShooter(projectile_left_id, entity_id)
