dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

if(entity_id == getPlayerEntity() and entityHasSimplifiedInternalVariable(entity_id, "effects_immune")) then return end -- if the player is under the effect but has immunity to effects, skips effect

SetRandomSeed( GameGetFrameNum(), x + y + entity_id)

local vel_var_x = 0
local vel_var_y = 0
local min_rand = 50
local max_rand = 100

if(Random(1,2) == 1) then
	vel_var_x = Random(min_rand, max_rand) * -1
else
	vel_var_x = Random(min_rand, max_rand)
end

if(Random(1,2) == 1) then
	vel_var_y = Random(min_rand, max_rand) * -1
else
	vel_var_y = Random(min_rand, max_rand)
end

local creature_vel_x, creature_vel_y = getCreatureVelocities(entity_id)
setCreatureVelocities(entity_id, creature_vel_x + vel_var_x, creature_vel_y + vel_var_y)