dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	if(entity_thats_responsible == getPlayerEntity()) then
		local entity_id = GetUpdatedEntityID()
		local pos_x, pos_y = EntityGetTransform( entity_id )

		SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

		local how_many = Random(25,45)
		local angle_inc = ( 2 * 3.14159 ) / how_many
		local theta = 0
		local length = Random(500,800)

		for i=1,how_many do
			local projectile_id = EntityLoad( getInternalVariableValue(entity_id, "projectile_definition", "value_string"), pos_x + Random(-10, 10), pos_y + Random(-10, 10))
			
			comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
			if( comp_ids ~= nil ) then
				ComponentSetValue( comp_ids[1], "mWhoShot", getPlayerEntity())
				ComponentSetValue( comp_ids[1], "mShooterHerdId", getPlayerHerd())
			end


			local vel_x = math.cos( theta ) * length
			local vel_y = math.sin( theta ) * length
			theta = theta + angle_inc

			comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )

			if( comp_ids ~= nil ) then
				ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
			end
		end
	end	
end
