utility_items_list = {
	-- upgrade stones
	{
		ui_name="Upgrade Stone (1 level worth)",
		name="upgrade_stone.xml",
		pic="upgrade_stone.png",
		desc="When thrown at a relic that can be upgraded, upgrades it for one level.",
		price=200,
	},
	{
		ui_name="Upgrade Stone (2 levels worth)",
		name="upgrade_stone_2.xml",
		pic="upgrade_stone_2.png",
		desc="When thrown at a relic that can be upgraded, upgrades it for two levels.",
		price=350,
	},
	{
		ui_name="Upgrade Stone (3 levels worth)",
		name="upgrade_stone_3.xml",
		pic="upgrade_stone_3.png",
		desc="When thrown at a relic that can be upgraded, upgrades it for three levels.",
		price=500,
	},
	-- chest keys
	{
		ui_name="Black Chest Key",
		name="chest_key_black.xml",
		pic="chest_key_black.png",
		desc="Unlocks Black, Purple or Red Chests once thrown at them.",
		price=2500,
	},
	{
		ui_name="Purple Chest Key",
		name="chest_key_purple.xml",
		pic="chest_key_purple.png",
		desc="Unlocks Purple or Red Chests once thrown at them.",
		price=1500,
	},
	{
		ui_name="Red Chest Key",
		name="chest_key_red.xml",
		pic="chest_key_red.png",
		desc="Unlocks Red Chests once thrown at them.",
		price=1000,
	},
	-- prize chips
	{
		ui_name="Relic Prize Chip (1 play worth)",
		name="relic_prize_chip.xml",
		pic="relic_prize_chip.png",
		desc="When thrown at a Relic Prize Machine or Relic Slot Machine, adds one play to it.",
		price=100,
	},
	{
		ui_name="Relic Prize Chip (2 plays worth)",
		name="relic_prize_chip_2.xml",
		pic="relic_prize_chip_2.png",
		desc="When thrown at a Relic Prize Machine or Relic Slot Machine, adds two play to it.",
		price=150,
	},
	{
		ui_name="Relic Prize Chip (3 plays worth)",
		name="relic_prize_chip_3.xml",
		pic="relic_prize_chip_3.png",
		desc="When thrown at a Relic Prize Machine or Relic Slot Machine, adds three play to it.",
		price=200,
	},
	-- relic token
	{
		ui_name="Relic Token",
		name="relic_token.xml",
		pic="relic_token.png",
		desc="When thrown at a Relic Prize Machine or Relic Slot Machine, adds six plays to either. \nCan also be traded for one relic at a Relic Store.",
		price=450,
	},
	-- room spawners
	{
		ui_name="Machine Spawner",
		name="machine_spawner.xml",
		pic="machine_spawner.png",
		desc="When thrown, spawns a random interactive machine.",
		price=50,
	},
	{
		ui_name="Compact Store Room",
		name="compact_store_room.xml",
		pic="compact_store_room.png",
		desc="When thrown, spawns a room containing a Relic Store, a Relic Prize Machine, a Relic \nSlot Machine and a Relic Utility Items Store.",
		price=100,
	},
	{
		ui_name="Compact Recycling Room",
		name="compact_recycling_room.xml",
		pic="compact_recycling_room.png",
		desc="When thrown, spawns a room containing a Relic Breakdown Station, a Relic Recycle Station and a Relic \nTransmute Station.",
		price=100,
	},
	{
		ui_name="Compact Machine Room",
		name="compact_machine_room.xml",
		pic="compact_machine_room.png",
		desc="When thrown, spawns a room containing a Relic Workbench, a Relic Combine Station, a Relic Forge, and \nmay also contain either a Relic Store, Relic Prize Machine or Relic Slot Machine.",
		price=100,
	},
	{
		ui_name="Compact Alchemy Room",
		name="compact_alchemy_room.xml",
		pic="compact_alchemy_room.png",
		desc="When thrown, spawns a room containing a vat full of Relic Reagent, two empty vats and three \nempty potion flasks.",
		price=100,
	},
	-- upgrade material containers
	{
		ui_name="Relic Compound Container",
		name="relic_upgrade_compound_container.xml",
		pic="relic_upgrade_compound_container.png",
		desc="Contains random amounts of Relic Upgrade Compound, used to upgrade relics up to level 5.",
		price=100,
	},
	{
		ui_name="Advanced Relic Compound Container",
		name="relic_upgrade_compound_container_advanced.xml",
		pic="relic_upgrade_compound_container_advanced.png",
		desc="Contains random amounts of Advanced Relic Upgrade Compound, used to upgrade relics from level 5 to 10.",
		price=200,
	},
	-- precursor material containers
	{
		ui_name="Relic Precursor Container (Blue)",
		name="relic_precursor_container_blue.xml",
		pic="relic_precursor_container_blue.png",
		desc="Contains random amounts of Blue Relic Precursor, used to construct ring related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Brown)",
		name="relic_precursor_container_brown.xml",
		pic="relic_precursor_container_brown.png",
		desc="Contains random amounts of Brown Relic Precursor, used to construct elemental gem related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Cyan)",
		name="relic_precursor_container_cyan.xml",
		pic="relic_precursor_container_cyan.png",
		desc="Contains random amounts of Cyan Relic Precursor, used to construct flask related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Green)",
		name="relic_precursor_container_green.xml",
		pic="relic_precursor_container_green.png",
		desc="Contains random amounts of Green Relic Precursor, used to construct necklace related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Lime)",
		name="relic_precursor_container_lime.xml",
		pic="relic_precursor_container_lime.png",
		desc="Contains random amounts of Lime Relic Precursor, used to construct device related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Orange)",
		name="relic_precursor_container_orange.xml",
		pic="relic_precursor_container_orange.png",
		desc="Contains random amounts of Orange Relic Precursor, used to construct effect crystal related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Pink)",
		name="relic_precursor_container_pink.xml",
		pic="relic_precursor_container_pink.png",
		desc="Contains random amounts of Pink Relic Precursor, used to construct companion related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Purple)",
		name="relic_precursor_container_purple.xml",
		pic="relic_precursor_container_purple.png",
		desc="Contains random amounts of Purple Relic Precursor, used to construct gravity stone related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Red)",
		name="relic_precursor_container_red.xml",
		pic="relic_precursor_container_red.png",
		desc="Contains random amounts of Red Relic Precursor, used to construct boot related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Ruby)",
		name="relic_precursor_container_ruby.xml",
		pic="relic_precursor_container_ruby.png",
		desc="Contains random amounts of Ruby Relic Precursor, used to construct magic artifact related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Teal)",
		name="relic_precursor_container_teal.xml",
		pic="relic_precursor_container_teal.png",
		desc="Contains random amounts of Teal Relic Precursor, used to construct gadget related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (White)",
		name="relic_precursor_container_white.xml",
		pic="relic_precursor_container_white.png",
		desc="Contains random amounts of White Relic Precursor, used to construct effect stone related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Yellow)",
		name="relic_precursor_container_yellow.xml",
		pic="relic_precursor_container_yellow.png",
		desc="Contains random amounts of Yellow Relic Precursor, used to construct death ray related relics.",
		price=100,
	},
	{
		ui_name="Relic Precursor Container (Orange Flame)",
		name="relic_precursor_container_orange_flame.xml",
		pic="relic_precursor_container_orange_flame.png",
		desc="Contains random amounts of Flame Orange Relic Precursor, used to construct energy shield related relics.",
		price=100,
	},
	{
		ui_name="Relic Metal Chunk",
		name="relic_metal_chunk.xml",
		pic="relic_metal_chunk.png",
		desc="A solid block of Relic Metal that can be used a source of this material to create new \nrelics at a Relic Workbench.",
		price=100,
	},
}

-- Returns a random utility item
function getRandomUtilityItem()
	SetRandomSeed( GameGetFrameNum(), math.random(1,50))
	return utility_items_list[Random(1,#utility_items_list)]
end

-- Utility functions to return base dirs for commmon entities used in this script
function getUtilityItemsBaseDir()
	return "mods/ArcaneReliquary/files/entity_definitions/items/"
end

function getItemUIPath()
	return "mods/ArcaneReliquary/files/other_items_gfx/"
end

function getGUIIconsPath()
	return "mods/ArcaneReliquary/files/gui_gfx/"
end

function getItemByIndex(index)
	return utility_items_list[index]
end