dofile_once("mods/ArcaneReliquary/files/scripts/lists/relics_list.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/load_on_explosion_list.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/custom_effects_list.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/collision_handlers_list.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function shot( projectile_entity_id )
	for i,relic in ipairs(relics_list) do 
		if(relic.onspellcast_function ~= nil) then
			
			if(not EntityHasTag(projectile_entity_id, "projectile_not")) then -- fix for projectiles that do not count as actual projectiles, such as levitation_trail, added by LEVITATION_TRAIL perk				
				relic.onspellcast_function(projectile_entity_id)
			end
			
		end
	end
end