dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")
dofile_once("mods/ArcaneReliquary/files/scripts/lists/custom_effects_list.lua")

-- a projectile shot listener that buffs projectiles created by buffed enemies
-- refer to mods\ArcaneReliquary\files\scripts\other_listeners\enemy_apply_random_buffs.lua for all buff types
function shot( projectile_entity_id )
	if(entityHasSimplifiedInternalVariable(getProjectileShooter(projectile_entity_id), "relic_chest_buff")) then
		addNewInternalVariable(projectile_entity_id, "rotating_projectile_definition", "value_string", "mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/rotating_shield_mutating_part.xml")
		addNewInternalVariable(projectile_entity_id, "rotating_projectiles_amount", "value_int", Random(2,4))
		addNewInternalVariable(projectile_entity_id, "radius", "value_int", 15)
		addNewInternalVariable(projectile_entity_id, "rotation_speed", "value_int", Random(10,20))
		addNewInternalVariable(projectile_entity_id, "shooter_id", "value_int", GetUpdatedEntityID())
		addNewLuaCallback(projectile_entity_id, "overtime", "mods/ArcaneReliquary/files/scripts/projectiles/projectile_rotating_shield_start.lua", 1, true, "projectile_rotating_shield_start")
	end	
end