dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local machine_name = EntityGetName(entity_id)
local range_check = getInternalVariableValue(entity_id, "gui_range_check", "value_int")
local gui_entity_name = getInternalVariableValue(entity_id, "related_gui_entity_name", "value_string")
local gui_entity_path = getInternalVariableValue(entity_id, "related_gui_entity_path", "value_string")
local is_player_in_range = isPlayerInRangeofMachine(machine_name, range_check)

if(is_player_in_range and EntityGetWithName(gui_entity_name) == 0) then -- player is in range of machine but gui is not loaded yet
	--GamePrint("gui not found, creating it")
	EntityLoad(gui_entity_path)
end

if((not is_player_in_range) and EntityGetWithName(gui_entity_name) ~= 0) then -- player is not in range of machine and gui is already loaded
	--GamePrint("killing gui")
	local gui_id = EntityGetWithName(gui_entity_name)
	EntityKill(gui_id)
end
