dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

function item_pickup( entity_item, entity_who_picked, item_name )
	local x, y = EntityGetTransform(entity_item)

	local eodc_id = EntityGetFirstComponentIncludingDisabled(entity_item, "ExplodeOnDamageComponent")
	local dmc_id = EntityGetFirstComponentIncludingDisabled(entity_item, "DamageModelComponent")

	ComponentAddTag( eodc_id, "enabled_in_world" )
	ComponentAddTag( dmc_id, "enabled_in_world" )
	
	EntitySetComponentIsEnabled( entity_item, eodc_id, true )
	EntitySetComponentIsEnabled( entity_item, dmc_id, true )
end