dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local emitted_material_name = getInternalVariableValue(entity_id, "emitted_material_name", "value_string")

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

local how_many = Random(10,20)
local angle_inc = ( 2 * 3.14159 ) / how_many
local theta = 0
local length = 450

for i=1,how_many do
	local projectile_id = EntityLoad("mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/elemental_line_base.xml" , pos_x, pos_y)
	local pec_id = EntityGetFirstComponentIncludingDisabled( projectile_id, "ParticleEmitterComponent" )
	ComponentSetValue2(pec_id, "emitted_material_name", emitted_material_name)
	--[[
	if(emitted_material_name == "flame") then
		ComponentSetValue2(pec_id, "custom_style", "FIRE")
	end
	]]
	
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", getPlayerEntity())
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getPlayerHerd())
	end

	local vel_x = math.cos( theta ) * length
	local vel_y = math.sin( theta ) * length
	theta = theta + angle_inc

	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )

	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
end
