dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

local how_many = Random(5,15)
local angle_inc = ( 2 * 3.14159 ) / how_many
local theta = 0
local velocity = 1000

for i=1,how_many do
	local projectile_id = EntityLoad("mods/ArcaneReliquary/files/entity_definitions/custom_projectiles/lightsaberblade_red.xml" , pos_x, pos_y)
	addNewSimplifiedInternalVariable(projectile_id, "relic_effect_projectile")
	setProjectileShooter(projectile_id, getPlayerEntity())

	local vel_x = math.cos( theta ) * velocity
	local vel_y = math.sin( theta ) * velocity
	theta = theta + angle_inc

	setProjectileVelocitiesandGravity(projectile_id, vel_x, vel_y)
end
