dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

--GamePrint("### shrapnel launched")

local entity_id = GetUpdatedEntityID()

local projectile_vel_x = getInternalVariableValue(entity_id, "projectile_vel_x", "value_int")
local projectile_vel_y = getInternalVariableValue(entity_id, "projectile_vel_y", "value_int")
local projectile_pos_x = getInternalVariableValue(entity_id, "projectile_pos_x", "value_int")
local projectile_pos_y = getInternalVariableValue(entity_id, "projectile_pos_y", "value_int")
local projectile_definition = getInternalVariableValue(entity_id, "projectile_definition", "value_string")

local angle = 0 - math.atan2( projectile_vel_y, projectile_vel_x )
local length = 2000

local angle_straight = angle + 3.1415 * 0.0001
projectile_vel_x = math.cos( angle_straight ) * length
projectile_vel_y = 0 - math.sin( angle_straight ) * length

SetRandomSeed( GameGetFrameNum(), projectile_pos_x + projectile_pos_y + entity_id )

local projectile_id = EntityLoad( projectile_definition, projectile_pos_x, projectile_pos_y)
addNewSimplifiedInternalVariable(projectile_id, "relic_effect_projectile")

setProjectileMass(projectile_id, Random(9, 12))
setProjectileVelocitiesandGravity(projectile_id, projectile_vel_x, projectile_vel_y)
setProjectileShooter(projectile_id, getPlayerEntity())

local how_many = Random(5,10)
for i=1,how_many do
	shootProjectileBasedonAnotherProjectile(projectile_id, projectile_definition, projectile_pos_x, projectile_pos_y, 1000)
end