dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local projectile_definition = getInternalVariableValue(entity_id, "projectile_definition", "value_string")
local up_vel_min = getInternalVariableValue(entity_id, "up_vel_min", "value_int")
local up_vel_max = getInternalVariableValue(entity_id, "up_vel_max", "value_int")

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

local projectile_id = EntityLoad(projectile_definition, pos_x, pos_y)
addNewSimplifiedInternalVariable(projectile_id, "relic_effect_projectile")
setProjectileShooter(projectile_id, getPlayerEntity())
setProjectileVelocitiesandGravity(projectile_id, 0, Random(-up_vel_min, -up_vel_max))