dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

local how_many = Random(4,8)
local angle_inc = ( 2 * 3.14159 ) / how_many
local theta = 0
local length = Random(500,800)

local action = getRandomProjectileAction()

local projectile_definition = action.related_projectiles[1]

for i=1,how_many do
	local projectile_id = EntityLoad(projectile_definition , pos_x, pos_y)
	addNewSimplifiedInternalVariable(projectile_id, "relic_effect_projectile")
	
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", getPlayerEntity())
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getPlayerHerd())
	end

	local vel_x = math.cos( theta ) * length
	local vel_y = math.sin( theta ) * length
	theta = theta + angle_inc

	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )

	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
end
