dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

if(Random(1,2) == 1) then

	local materials_pool = {
		"oil",
		"blood",
		"poison",
		"water",
		"lava",
		"acid",
		"cement",
		"alcohol",
		"magic_liquid_random_polymorph",
		"magic_liquid_berserk",
		"magic_liquid_teleportation",
		"magic_liquid_hp_regeneration",
		"magic_liquid_polymorph",
		"magic_liquid_movement_faster",
		"magic_liquid_faster_levitation",
		"magic_liquid_charm",
		"magic_liquid_invisibility",
		"magic_liquid_mana_regeneration",
		"magic_liquid_unstable_polymorph",
		"magic_liquid_worm_attractor",
		"magic_liquid_protection_all",
		"radioactive_liquid",
		"radioactive_gas",
		"blood_cold_vapour",
		"blood_cold",
		"smoke",
		"sand",
		"coal",
		"diamond",
		"gunpowder_explosive",
		"slime"
		--"creepy_liquid",
	}

	local emitted_material_name = materials_pool[Random(1,#materials_pool)]

	EntityLoad("mods/ArcaneReliquary/files/entity_definitions/others/material_explosion.xml", pos_x, pos_y)
	
	local how_many = Random(45,65)
	local vel_variation = 200
	for i=1,how_many do
		GameCreateParticle( emitted_material_name, pos_x, pos_y, 2, Random(-vel_variation, vel_variation), Random(-vel_variation, vel_variation), false, true)
	end
end