dofile_once("mods/ArcaneReliquary/files/scripts/utilities/arcanereliquary_utilities.lua")

--GamePrint("### wave launch triggered")

local entity_id = GetUpdatedEntityID()
local x = getInternalVariableValue(entity_id, "explosion_pos_x", "value_int")
local y = getInternalVariableValue(entity_id, "explosion_pos_y", "value_int")
local vel = getInternalVariableValue(entity_id, "wave_projectiles_vel", "value_int")
local offset_x = getInternalVariableValue(entity_id, "wave_projectile_x_offset", "value_int")
local offset_y = getInternalVariableValue(entity_id, "wave_projectile_y_offset", "value_int")
local shockwave_secondary_projectile_definition = getInternalVariableValue(entity_id, "shockwave_secondary_projectile_definition", "value_string")
local wave_spacing = getInternalVariableValue(entity_id, "wave_spacing", "value_int")

-- right side wave
local right_wave_projectile_id = EntityLoad(shockwave_secondary_projectile_definition, x + offset_x, y + offset_y)
addNewSimplifiedInternalVariable(right_wave_projectile_id, "relic_effect_projectile")
setProjectileVelocitiesandGravity(right_wave_projectile_id, 0, vel)
setProjectileShooter(right_wave_projectile_id, getPlayerEntity())

-- left side wave
local left_wave_projectile_id = EntityLoad(shockwave_secondary_projectile_definition, x - offset_x, y + offset_y)
addNewSimplifiedInternalVariable(left_wave_projectile_id, "relic_effect_projectile")
setProjectileVelocitiesandGravity(left_wave_projectile_id, 0, vel)
setProjectileShooter(left_wave_projectile_id, getPlayerEntity())

-- adjusts x offset for next wave
setInternalVariableValue(entity_id, "wave_projectile_x_offset", "value_int", offset_x + wave_spacing)